FieldInterp.cpp File Reference
`#include "FieldInterp.h"`

Go to the source code of this file.

## Functions

bool | isLegalVoxelCoord (const V3d &vsP, const Box3d &vsDataWindow)
| Checks whether the floating - point voxel coordinate is within the given (floating point) data window.
FIELD3D_NAMESPACE_OPEN bool | isPointInField (const FieldRes::Ptr f, const V3d &wsP)
| Checks whether the point is within the given field.

## Detailed Description

Contains implementations of interpolation-related functions.

Definition in file FieldInterp.cpp.

## Function Documentation

## isPointInField()

FIELD3D_NAMESPACE_OPEN bool isPointInField | ( | const FieldRes::Ptr | f,
|  | const V3d & | wsP )

Checks whether the point is within the given field.

Definition at line 52 of file FieldInterp.cpp.

{
V3d lsP;
f->mapping()->worldToLocal(wsP, lsP);
return (lsP.x > 0.0 && lsP.x <= 1.0 &&
lsP.y > 0.0 && lsP.y <= 1.0 &&
lsP.z > 0.0 && lsP.z <= 1.0);
}
V3d
Imath::V3d V3d
Definition SpiMathLib.h:74

## isLegalVoxelCoord()

bool isLegalVoxelCoord | ( | const V3d & | vsP,
|  | const Box3d & | vsDataWindow )

Checks whether the floating - point voxel coordinate is within the given (floating point) data window.

Definition at line 63 of file FieldInterp.cpp.

{
return vsP.x > (vsDataWindow.min.x) &&
vsP.x < (vsDataWindow.max.x) &&
vsP.y > (vsDataWindow.min.y) &&
vsP.y < (vsDataWindow.max.y) &&
vsP.z > (vsDataWindow.min.z) &&
vsP.z < (vsDataWindow.max.z);
}